RemoteFileChangedException (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.s3a, class: RemoteFileChangedException

Package org.apache.hadoop.fs.s3a

# Class RemoteFileChangedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.hadoop.fs.PathIOException
org.apache.hadoop.fs.s3a.RemoteFileChangedException

All Implemented Interfaces:
  `Serializable`

@Public @Unstable public class RemoteFileChangedException extends org.apache.hadoop.fs.PathIOException
Indicates the S3 object is out of sync with the expected version. Thrown in cases such as when the object is updated while an `S3AInputStream` is open, or when a file to be renamed disappeared during the operation.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FILE_NOT_FOUND_SINGLE_ATTEMPT`
  The file disappeaded during a rename between LIST and COPY.
  `static final String`
  `PRECONDITIONS_FAILED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoteFileChangedException(String path, String operation, String message)`
  Constructs a RemoteFileChangedException.
  `RemoteFileChangedException(String path, String operation, String message, Throwable cause)`
  Constructs a RemoteFileChangedException.

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.fs.PathIOException

  `getMessage, getPath, getTargetPath, setOperation, setTargetPath, withFullyQualifiedPath`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PRECONDITIONS_FAILED

    public static final String PRECONDITIONS_FAILED
    See Also:
      - Constant Field Values

  - ### FILE_NOT_FOUND_SINGLE_ATTEMPT

    public static final String FILE_NOT_FOUND_SINGLE_ATTEMPT
    The file disappeaded during a rename between LIST and COPY.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RemoteFileChangedException

    public RemoteFileChangedException(String path, String operation, String message)
    Constructs a RemoteFileChangedException.
    Parameters:
      `path` - the path accessed when the change was detected
      `operation` - the operation (e.g. open, re-open) performed when the change was detected
      `message` - a message providing more details about the condition

  - ### RemoteFileChangedException

    public RemoteFileChangedException(String path, String operation, String message, Throwable cause)
    Constructs a RemoteFileChangedException.
    Parameters:
      `path` - the path accessed when the change was detected
      `operation` - the operation (e.g. open, re-open) performed when the change was detected
      `message` - a message providing more details about the condition
      `cause` - inner cause.